// 强化消耗表
import {readFileAndParse} from '../util'
import { FILENAME } from '../../consts'

export interface DicStrengthenCost {
    // 等级
    readonly level: number;
    // 消耗铜钱
    readonly costCoin: number;
}

export const dicStrengthenCost = new Map<number, number>();
export function loadStrengthenCost() {
    let arr = readFileAndParse(FILENAME.DIC_STRENGTHEN_COST);

    arr.forEach(o => {
        dicStrengthenCost.set(o.level, o.costCoin);
    });
    arr = undefined;
}